# Short Data `GET` `https://api.unusualwhales.com/api/shorts/{ticker}/data` Returns short data including rebate rate and short shares available for a ticker. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `newer_than` | NewerThan | No | The unix time in milliseconds or seconds at which no older results will be returned. Can be used with `older_than` to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25). | | `older_than` | OlderThan | No | The unix time in milliseconds or seconds at which no newer results will be returned. Can be used with `newer_than` to paginate by time. Also accepts an ISO date or RFC 3339 datetime (example: 2024-01-25). | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `currency` | string | The currency used for fee and rebate rates. | | `fee_rate` | string | The fee rate for shorting the stock, expressed as a percentage. | | `name` | string | The company name. | | `rebate_rate` | string | The rebate rate for shorting the stock, expressed as a percentage. | | `short_shares_available` | integer | The number of shares available to short. | | `symbol` | string | The ticker symbol. | | `timestamp` | string | The timestamp when the short data was recorded. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/shorts/{ticker}/data" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/shorts/{ticker}/data", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "currency": "USD", "fee_rate": "0.42", "name": "EXAMPLE COMPANY INC", "rebate_rate": "2.75", "short_shares_available": 5000000, "symbol": "EXMP", "timestamp": "2025-03-15T14:30:00Z" }, { "currency": "USD", "fee_rate": "0.38", "name": "EXAMPLE COMPANY INC", "rebate_rate": "2.80", "short_shares_available": 5250000, "symbol": "EXMP", "timestamp": "2025-03-15T11:15:00Z" }, { "currency": "USD", "fee_rate": "0.45", "name": "EXAMPLE COMPANY INC", "rebate_rate": "2.65", "short_shares_available": 4800000, "symbol": "EXMP", "timestamp": "2025-03-14T16:45:00Z" } ] } ```